vim.opt.termguicolors = true
vim.opt.clipboard = 'unnamed,unnamedplus'
vim.opt.timeoutlen = 300
vim.opt.mouse = 'a'
vim.opt.undodir = vim.fn.expand('~/.cache/vim/undo')
vim.opt.listchars = 'tab:▸ ,extends:❯,precedes:❮'

vim.opt.relativenumber = true
vim.opt.list = true

vim.opt.autoindent = true
vim.opt.expandtab = true
vim.opt.softtabstop = 4
vim.opt.shiftwidth = 4
vim.opt.tabstop = 4
vim.opt.smartindent = true
vim.opt.modeline = true

vim.opt.undofile = true
vim.g.mapleader = ' '

-- Load utilities
require('kalle.utils')

-- Load plugins
require('kalle.plugins')

vim.cmd('colorscheme nightfox')

-- Load config
require('kalle.config')

-- TODO:
-- - Terminal panel at the bottem that can be hidden / shown with a hotkey (<Leader>ts [Leader Toggle Shell]?) [https://github.com/akinsho/toggleterm.nvim]
-- - Spell checker
-- - Debugger integration (gdb?, java?/kotlin?, rust?, etc)
-- - https://github.com/SmiteshP/nvim-navic
-- - https://github.com/simrat39/symbols-outline.nvim
-- - More...?
